aboutsummaryrefslogtreecommitdiffstats
path: root/testing/connman/connman.initd
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-02-02 13:40:02 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-02-03 06:57:06 +0000
commit4c1cb6a68ca21941908e92d4c0ba77a7e0e2a721 (patch)
treec2bb956efba368c99de0405f5cd42df0f566fc5c /testing/connman/connman.initd
parent67bacef78d0bb253af4a1ab4a693b783cfae1b4e (diff)
downloadaports-4c1cb6a68ca21941908e92d4c0ba77a7e0e2a721.tar.bz2
aports-4c1cb6a68ca21941908e92d4c0ba77a7e0e2a721.tar.xz
testing/connman: upgrade to 1.31, add init-script
Diffstat (limited to 'testing/connman/connman.initd')
-rw-r--r--testing/connman/connman.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/connman/connman.initd b/testing/connman/connman.initd
new file mode 100644
index 0000000000..1728694274
--- /dev/null
+++ b/testing/connman/connman.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+
+description="Connection Manager"
+cfgfile=/etc/connman/main.conf
+pidfile=/run/connman/connman.pid
+command=/usr/sbin/connmand
+command_args="$command_args -n -c $cfgfile"
+command_background="yes"
+
+depend() {
+ need dbus
+ provide net
+}
+
+start_pre() {
+ ebegin
+ checkpath --directory ${pidfile%/*}
+ ln -sf ${pidfile%/*}/resolv.conf /etc/
+ eend $?
+}